Sql Pool Replication Links - List
Get SQL pool replication links
Lists a Sql pool's replication links.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/sqlPools/{sqlPoolName}/replicationLinks?api-version=2021-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
sql
|
path | True |
string |
SQL pool name |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string |
The name of the workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Examples
Lists a Sql Analytic pool's replication links
Sample request
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Synapse/workspaces/sqlcrudtest-6440/sqlPools/testdb/replicationLinks/5b301b68-03f6-4b26-b0f4-73ebb8634238",
"name": "5b301b68-03f6-4b26-b0f4-73ebb8634238",
"type": "Microsoft.Synapse/workspaces/sqlPools/replicationLinks",
"location": "Japan East",
"properties": {
"partnerServer": "sqlcrudtest-5961",
"partnerDatabase": "testdb",
"partnerLocation": "Japan East",
"role": "Secondary",
"partnerRole": "Primary",
"replicationMode": "ASYNC",
"startTime": "2017-02-10T01:44:27.117Z",
"percentComplete": 100,
"replicationState": "CATCH_UP",
"isTerminationAllowed": true
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Replication |
Represents a Sql pool replication link. |
|
Replication |
Represents the response to a List Sql pool replication link request. |
|
Replication |
The role of the Sql pool in the replication link. |
|
Replication |
The replication state for the replication link. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ReplicationLink
Represents a Sql pool replication link.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
Location of the workspace that contains this firewall rule. |
| name |
string |
The name of the resource |
| properties.isTerminationAllowed |
boolean |
Legacy value indicating whether termination is allowed. Currently always returns true. |
| properties.partnerDatabase |
string |
The name of the partner Sql pool. |
| properties.partnerLocation |
string |
The Azure Region of the partner Sql pool. |
| properties.partnerRole |
The role of the partner Sql pool in the replication link. |
|
| properties.partnerServer |
string |
The name of the workspace hosting the partner Sql pool. |
| properties.percentComplete |
integer (int32) |
The percentage of seeding complete for the replication link. |
| properties.replicationMode |
string |
Replication mode of this replication link. |
| properties.replicationState |
The replication state for the replication link. |
|
| properties.role |
The role of the Sql pool in the replication link. |
|
| properties.startTime |
string (date-time) |
The start time for the replication link. |
| type |
string |
Type of resource this is. |
ReplicationLinkListResult
Represents the response to a List Sql pool replication link request.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to retrieve next page of results. |
| value |
The list of Sql pool replication links housed in the Sql pool. |
ReplicationRole
The role of the Sql pool in the replication link.
| Value | Description |
|---|---|
| Primary | |
| Secondary | |
| NonReadableSecondary | |
| Source | |
| Copy |
ReplicationState
The replication state for the replication link.
| Value | Description |
|---|---|
| PENDING | |
| SEEDING | |
| CATCH_UP | |
| SUSPENDED |